{% extends 'Layout/Layout.twig' %}
{% block content %}
    <div class="card">
        <!-- Card header -->
        <div class="card-header border-0">
            <div class="row">
                <div class="col-12">
                    <h3 class="mb-0">{{ lang.getTranslation("classes")|capitalize }}
                        <a href="/admin/classes/create"
                           class="btn btn-info float-right">{{ lang.getTranslation(["create", "classes"])|capitalize }}</a>
                    </h3>
                </div>
            </div>
        </div>
        <!-- Light table -->
        <div class="table-responsive">
            <table class="table align-items-center table-flush">
                <thead class="thead-light">
                <tr>
                    <th>#</th>
                    <th>{{ lang.getTranslation("title") }}</th>
                    <th>{{ lang.getTranslation("description") }}</th>
                    <th></th>
                </tr>
                </thead>
                <tbody>
                {% for classe in classes %}
                    <tr>
                        <td>
                            <span class="text-muted">{{ classe.getId()|u.truncate(5) }}</span>
                        </td>
                        <td>
                            <span class="text-muted">{{ classe.getTitle() }}</span>
                        </td>
                        <td>
                            <span class="text-muted">{{ classe.getContent()|u.truncate(50)|raw }}</span>
                        </td>
                        <td class="table-actions">
                            <a href="#modal-update"
                               class="table-action" data-toggle="modal"
                               data-updatename="{{ classe.getName() }}"
                               data-updatedescription="{{ classe.getDescription() }}"
                               data-updateid="{{ classe.getId() }}">
                                <i class="fas fa-edit text-blue"></i>
                            </a>
                            <a href="#modal-delete" class="table-action" data-deleteid="{{ classe.getId() }}"
                               data-toggle="modal">
                                <i class="fas fa-trash text-red"></i>
                            </a>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
{% endblock %}
{% block modal %}
    <div class="modal fade" id="modal-delete" tabindex="-1" role="dialog" aria-labelledby="modal-delete"
         aria-hidden="true">
        <div class="modal-dialog modal-danger modal-dialog-centered modal-" role="document">
            <div class="modal-content bg-gradient-danger">
                <div class="modal-header">
                    <h6 class="modal-title"
                        id="modal-title-notification">{{ lang.getTranslation("supressItem")|capitalize }}</h6>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="py-3 text-center">
                        <i class="ni ni-bell-55 ni-3x"></i>
                    </div>

                </div>
                <div class="modal-footer">
                    <a href=""
                       class="btn btn-white text-dark link-delete">{{ lang.getTranslation("confirm")|capitalize }}</a>
                    <button type="button" class="btn btn-link text-white ml-auto"
                            data-dismiss="modal">{{ lang.getTranslation("cancel")|capitalize }}</button>
                </div>

            </div>
        </div>
    </div>
    <div class="modal fade" id="modal-update" tabindex="-1" role="dialog" aria-labelledby="modal-update"
         aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h6 class="modal-title"
                        id="modal-title-notification">{{ lang.getTranslation(["update", "classes"])|capitalize }}</h6>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="py-3 text-center">
                        <form action="" method="post" class="link-update">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <input type="text" class="form-control name" placeholder="Name" name="name">
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                    <textarea name="description" placeholder="description"
                                              class="form-control description"></textarea>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <input type="submit" id="submit" class="btn btn-block btn-neutral"
                                               value="{{ lang.getTranslation("update")|capitalize }}">
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-warning text-white ml-auto"
                            data-dismiss="modal">{{ lang.getTranslation("cancel")|capitalize }}</button>
                </div>

            </div>
        </div>
    </div>
{% endblock %}
{% block script %}
    <script>
        $('#modal-delete').on('show.bs.modal', function (event) {
            let button = $(event.relatedTarget)
            let id = button.data('deleteid')
            let modal = $(this)
            modal.find('.link-delete').attr("href", "/admin/classes/delete/" + id)
        })
        $('#modal-update').on('show.bs.modal', function (event) {
            let button = $(event.relatedTarget)
            let name = button.data('updatename')
            let description = button.data('updatedescription')
            let id = button.data('updateid')
            let modal = $(this)

            modal.find('.link-update').attr("action", "/admin/classes/update/" + id)
            modal.find('.name').attr("value", name)
            modal.find('.description').html(description)
        })
    </script>
{% endblock %}